<?php
include 'core/sys.php';
reg();
head('Перевод золота');
	if($user['level']<10){
	echo '<div id="error">Перевод золота доступен после 10-го уровня!</div>';
	foot();
	exit;
	}
$ank_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT `login`,`id`,`money` FROM `users` WHERE `id`='".$ank_id."' LIMIT 1"));
 if($user['id']==$ank['id']){
 header("Location: index.php");
 exit;
 }
 
 $perevod = int($_POST['perevod']);
 if(empty($_POST['perevod'])){
 echo '<div class="name">Перевод золота<a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a></div><div class="row">
 <form action="perevod.php?ank='.$ank_id.'" method="post">
 Минимальный перевод <img src="img/money/money.png" alt="">100<br>
 С учетом комисси у вас должно быть <img src="img/money/money.png" alt=""> 115 золота.<br>
 Сколько перевести (комиссия 15%): <br>
 <input type="text" name="perevod"><br>
 <input type="submit" value="Перевести">
 </form></div>';
 }else{
 $komission = $perevod*15/100;
 $perevod_end = round($komission+$perevod);
 echo '<div class="row">С учетом комисси <img src="img/money/money.png" alt="">' .$perevod_end .'<br></div>';
	if($user['money']< $perevod_end  OR $perevod < 100){
	echo '<div id="error">Недостаточно денег или слишком маленький перевод.</div>';
	foot();
	exit;
	}
	
mysql_query("UPDATE `users` SET `money`=`money`-".$perevod_end." WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `users` SET `money`=`money`+".$perevod.",`journal`=`journal`+1 WHERE `id`='".$ank['id']."'");
mysql_query("INSERT INTO `journal` SET 
`user_id`='".$ank['id']."',
`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> отправил вам <img src=\"img/money/money.png\" alt=\"\"> ".$perevod."',
`time`='".time()."'");
	echo '<div id="ok">Золото отправлено.</div>';
 }



foot();
?>